package types

import (
	"git.akyoto.dev/cli/q/src/build/expression"
	"git.akyoto.dev/cli/q/src/build/token"
)

// NewList generates a list of types from comma separated tokens.
func NewList(tokens token.List, source []byte) []Type {
	var list []Type

	expression.EachParameter(tokens, func(parameter token.List) error {
		typ := New(parameter.Text(source))
		list = append(list, typ)
		return nil
	})

	return list
}
